# eric6.Plugins.VcsPlugins.vcsMercurial.FetchExtension.ProjectHelper

Module implementing the fetch extension project helper.

### Global Attributes

None

### Classes

FetchProjectHelper | Class implementing the fetch extension project helper.

### Functions

None

## FetchProjectHelper

Class implementing the fetch extension project helper.

### Derived from

HgExtensionProjectHelper

### Class Attributes

None

### Class Methods

None

### Methods

FetchProjectHelper | Constructor
__aboutToShowMenu | Private slot to handle the aboutToShow signal of the background menu.
__hgFetch | Private slot used to fetch changes from a remote repository.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.

### Static Methods

None

#### FetchProjectHelper (Constructor)

FetchProjectHelper()

Constructor

#### FetchProjectHelper.__aboutToShowMenu

__aboutToShowMenu()

Private slot to handle the aboutToShow signal of the background menu.

#### FetchProjectHelper.__hgFetch

__hgFetch()

Private slot used to fetch changes from a remote repository.

#### FetchProjectHelper.initActions

initActions()

Public method to generate the action objects.

#### FetchProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

mainMenu
  reference to the main menu (QMenu)

Returns:
  populated menu (QMenu)

#### FetchProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Returns:
  title of the menu (string)

Up